### Method

# Ide LspHoverProvider get_client

#### Declaration

    IdeLspClient*
    ide_lsp_hover_provider_get_client (
      IdeLspHoverProvider* self
    )

#### Description

Gets the client that is used for communication.

Available since: | 3.30

Gets property | `Ide.LspHoverProvider:client`

#### Return value

Returns: | `IdeLspClient`
| An `IdeLspClient` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.